{% set CodiceModulo = "RICH_TEMP_AREAPEDONALE" %}
{% set Urn = "document:c_e291:transito.area.pedonale;permesso.temporaneo" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
  { "codice":"DAE-CDI",
     "urn":"document:s_italia:generale;documento.identita;documentazione",
     "descrizione_tabella_allegati":"copia del documento di identità",
     "annotazioni_tabella_allegati":"(da allegare se il modulo è sottoscritto con firma autografa)",
     "descrizione_meta":"", 
     "filename":"Documento identita",
     "firmatari":"Titolare_CodiceFiscale",
     "firmatari_label":"il dichiarante",
     "firmato":"NO",
     "numero":"1",
     "dimensione":"15",
     "enabled":"",
     "dynamic_check":"",
     "tipo":"allegato",
     "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
   }
   ]%}
{% extends "base.html" %}
{% block meta %}

<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il dichiarante"
classi_modulo="Polizia locale"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn_list=""
uo_globo_list=""
descrizione="Domanda di rilascio del permesso temporaneo per transito e sosta in area pedonale"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|04/05/2023"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>

{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
   {% if allegato['tipo'] == "allegato" %}
    <meta codice_allegato="{{ allegato['codice'] }}"
     urn_allegato="{{ allegato['urn'] }}"
     descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
     filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
     firmatari="{{ allegato['firmatari'] }}"
     firmatari_label="{{ allegato['firmatari_label'] }}"
     firmato="{{ allegato['firmato'] }}"
     name="GLOBO_allegato"
     numero="{{ allegato['numero'] }}"
     dimensione_massima="{{ allegato['dimensione'] }}"
     obbligatorio="DINAMICO"
     tipo_mime="{{ allegato['tipo_mime'] }}"/>
   {% elif allegato['tipo'] == "secondario" %} 
     <meta codice_modulo_figlio="{{ allegato['codice'] }}"
     urn_modulo_figlio="{{ allegato['urn'] }}"
     name="GLOBO_modulofiglio"
     numero="{{ allegato['numero'] }}"
     obbligatorio="DINAMICO"/>
   {% endif %}{% endfor %}

<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmato="NO"
name="GLOBO_allegato"
numero="0"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %}Domanda di rilascio del permesso temporaneo per transito e sosta in area pedonale{% endblock title %}

{% block content %}
<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma() }}
</globo_fondo_pagina>
{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<input dynamic_value="#Titolare_Cognome.value().toUpperCase() + ' ' + #Titolare_Nome.value().toUpperCase() + ' - zona a traffico limitato (nuovo permesso)'" id="Oggetto" name="Oggetto" type="hidden"/>
<input id="Tassonomi_TipoIstanzaZTL1" name="Tassonomi_TipoIstanzaZTL" type="hidden" value="1"/>

<h1 class="Modulo">
  Domanda di rilascio del permesso temporaneo per transito e sosta in area pedonale
</h1>
<h2 class="Modulo">
  Ai sensi dell'articolo 7 del Decreto legislativo 30/04/1992, n. 285
</h2>

{{ anagrafica.societa("Titolare", "Il sottoscritto", ["Persona fisica", "Titolare", "Legale rappresentante"], "Richiedente", "visibility:visibility", "cursor:pointer", "mail_ordinaria", "false", "false") }}

{{utils.domicilio_digitale()}}

<h3 class="Modulo">
  CHIEDE
</h3>
<p>
  il rilascio del permesso temporaneo di transito e sosta in area pedonale
</p>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title">per i seguenti veicoli:</span>
    </div>

{% set num=5 %}
{% set campi=[
  {
    "titolo":"Targa",
    "label":"Targa veicolo",
    "id":"Parametri_VeicoloTarga1",
    "format":"targa",
    "carattere_speciale":"",
    "col":"2",
    "options":""
  },
  {
    "titolo":"Alimentazione",
    "label":"Alimentazione",
    "id":"Parametri_VeicoloAlimentazione1",
    "format":"",
    "carattere_speciale":"",
    "col":"2",
    "options":""
  },
  {
    "titolo":"Classe",
    "label":"Classe",
    "id":"Parametri_VeicoloClasse1",
    "format":"",
    "carattere_speciale":"",
    "col":"2",
    "options":""
  },
  {
    "titolo":"Cognome intestatario",
    "label":"Cognome intestatario veicolo",
    "id":"Parametri_VeicoloCognome1",
    "format":"",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
  {
    "titolo":"Nome intestatario",
    "label":"Nome intestatario veicolo",
    "id":"Parametri_VeicoloNome1",
    "format":"",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
]%}

    {% for rowlabel in campi %}
    <div class="form-group col-lg-{{ rowlabel['col'] }}">
      <label for=""> {{ rowlabel['titolo']}} </label>
    </div>
    {% endfor %}
  </div>
  {% for i in range(1, num) %}
  <div class="form-row" {% if loop.first %} mandatory_enabled="true" {% endif %}>
    {% for campo in campi %}
    <div class="form-group col-lg-{{ campo['col'] }}">
      {% if campo["carattere_speciale"]!=''%}<div class="paragraph text-justify">{% endif %}
        {% if campo["options"] == ''%}<input {% else %} <select class="custom-select" {% endif %} label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="form-control {% if campo['carattere_speciale']!='' %} w-50 d-inline-block {% endif %}"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
        {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
      {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</div>{% endif %}
    </div>
    {% endfor %}
  </div>
  {% endfor %}
</div>

<globo_salto_pagina></globo_salto_pagina>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> per il seguente periodo di transito/sosta:</span>
    </div>

{% set num=4 %}
{% set campi=[
  {
    "titolo":"Dal giorno",
    "label":"Giorno inizio",
    "id":"Parametri_DataInizioTemp1",
    "format":"date",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
  {
    "titolo":"Al giorno",
    "label":"Giorno fine",
    "id":"Parametri_DataFineTemp1",
    "format":"date",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
  {
    "titolo":"Dalle ore",
    "label":"Ora inizio",
    "id":"Parametri_OraInizioTemp1",
    "format":"time",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
  {
    "titolo":"Alle ore",
    "label":"Ora fine",
    "id":"Parametri_OraFineTemp1",
    "format":"time",
    "carattere_speciale":"",
    "col":"3",
    "options":""
  },
]%}

    {% for rowlabel in campi %}
    <div class="form-group col-lg-{{ rowlabel['col'] }}">
      <label for=""> {{ rowlabel['titolo']}} </label>
    </div>
    {% endfor %}
  </div>
  {% for i in range(1, num) %}
  <div class="form-row" {% if loop.first %} mandatory_enabled="true" {% endif %}>
    {% for campo in campi %}
    <div class="form-group col-lg-{{ campo['col'] }}">
      {% if campo["carattere_speciale"]!=''%}<div class="paragraph text-justify">{% endif %}
        {% if campo["options"] == ''%}<input {% else %} <select class="custom-select" {% endif %} label="{{ campo['label'] }}" {% if campo["format"]!='' %} format="{{ campo['format'] }}" {% endif %} id="{{ campo['id']~i }}" name="{{ campo['id']~i }}" {% if i!=1 %} {% if loop.first %} enabled="#{{ campo['id']~ (i-1)}}.value()!=''" {% else %} mandatory_enabled="#{{ campi[0]['id']~i }}.value()!=''" {% endif %}{% endif %} class="form-control {% if campo['carattere_speciale']!='' %} w-50 d-inline-block {% endif %}"  {% if campo["campi"] == ''%}/> {% else %}> {% endif %}
        {% if campo["options"] != ''%}<option value=""></option>{% for option in campo["options"].split(',') %}<option value="{{ option }}">{{ option }}</option>{% endfor %}</select>{% endif %}
      {% if campo["carattere_speciale"]!=''%}{{ campo["carattere_speciale"] }}</div>{% endif %}
    </div>
    {% endfor %}
  </div>
  {% endfor %}
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title"> per il seguente motivo:</span>
    </div>
    <div class="form-group col-lg-12" mandatory_enabled="true">
      <label for="Parametri_Motivo"> Motivazione alla base della domanda </label>
      <textarea class="form-control" id="Parametri_Motivo" name="Parametri_Motivo" label="Motivazione alla base della domanda"></textarea>
    </div>
  </div>
</div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12">
      <span class="title">per la seguente area pedonale:</span>
    </div>
    <div class="form-group col-lg-12">
      <label for="Parametri_Motivo">Indicare l'area pedonale</label>
    </div>
  </div>
  <div class="form-row">
    <div class="form-check indent-1" mandatory_enabled="true">
        <div id="Tassonomia_AreaPedonale" name="Tassonomia_AreaPedonale" label="Scelta area pedonale" mandatory="true"></div>
        <input id="Tassonomia_AreaPedonale1" name="Tassonomia_AreaPedonale" type="radio" value="1" />
        <label class="form-check-label" for="Tassonomia_AreaPedonale1">area antistante al palazzo municipale in piazza Buondelmonti</label>
    </div>
  </div>
  <div class="form-row">
    <div class="form-check indent-1" mandatory_enabled="true">
        <input id="Tassonomia_AreaPedonale2" name="Tassonomia_AreaPedonale" type="radio" value="1" />
        <label class="form-check-label" for="Tassonomia_AreaPedonale2">area antistante alla chiesa in piazza Buondelmonti</label>
    </div>
  </div>
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_EventualiAnnotazioni"> Eventuali annotazioni </label>
      <textarea class="form-control" id="Parametri_EventualiAnnotazioni" name="Parametri_EventualiAnnotazioni"></textarea>
    </div>
  </div>
</div>
<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>

  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}><label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span>{% endif %}</label>
  </div>
  {% endfor %}
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>

{{ utils.firma_hidden() }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>

<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>
{% endblock content %}
